## devil 1.6.8

=== examples/File Override Example/Makefile ===
# Unix Makefile for Simple DevIL application

CC=gcc
OBJECTS=iotest.o
LIBS=-lIL -lILU

all: DevIL_testio

DevIL_testio: $(OBJECTS)
	$(CC) $(OBJECTS) $(LIBS) -o DevIL_testio

iotest.o: iotest.c
	$(CC) -Wall -o iotest.o -c iotest.c

clean:
	rm -f $(OBJECTS) DevIL_testio

=== examples/SDL Example/Makefile ===
# Unix Makefile for Simple DevIL application

CC=gcc
OBJECTS=sdl_test.o
LIBS=-lIL -lILU -lILUT -lGL -lGLU -lSDL -lpthread

all: DevIL_testsdl

DevIL_testsdl: $(OBJECTS)
	$(CC) $(OBJECTS) $(LIBS) -o DevIL_testsdl

sdl_test.o: sdl_test.c
	$(CC) -Wall -o sdl_test.o -c sdl_test.c

clean:
	rm -f $(OBJECTS) DevIL_testsdl

=== examples/Volume Texture Example/Makefile ===
# Unix Makefile for Simple DevIL application

CC=gcc
OBJECTS=3dtest.o
LIBS=-lIL -lILU -lILUT -lGL -lGLU -lglut -lXext -lXi -lXmu

all: DevIL_test3d

DevIL_test3d: $(OBJECTS)
	$(CC) $(OBJECTS) $(LIBS) -o DevIL_test3d

3dtest.o: 3dtest.c
	$(CC) -Wall -o 3dtest.o -c 3dtest.c

clean:
	rm -f $(OBJECTS) DevIL_test3d

=== examples/WindowsTest/CMakeLists.txt ===
PROJECT(Example_WindowsTest)

FILE(GLOB Example_WindowsTest_SRCS *.c *.cpp *.h *.rc )

INCLUDE_DIRECTORIES(

	${CMAKE_CURRENT_SOURCE_DIR}
	${DevIL_SOURCE_DIR}/include
	${DevIL_SOURCE_DIR}/../include
)

LINK_DIRECTORIES(

	${DEVIL_LIB_DEST_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${DevIL_XTRA_SOURCE_DIR}/colorpicker
)

#
# for windows add the .def and .rc files to the source list
#
IF(WIN32)
	ADD_DEFINITIONS(-DIL_USE_PRAGMA_LIBS)
	IF(BUILD_SHARED_LIBS)
	ELSE(BUILD_SHARED_LIBS)
		ADD_DEFINITIONS(-DIL_STATIC_LIB)
	ENDIF(BUILD_SHARED_LIBS)
ENDIF(WIN32)

SOURCE_GROUP(code FILES ${Example_WindowsTest_SRCS} )

ADD_EXECUTABLE(Example_WindowsTest WIN32 Example_WindowsTest_SRCS)

## add link sub library info

TARGET_LINK_LIBRARIES(Example_WindowsTest
	
	DevIL
	DevILU
	DevILUT
)

INCLUDE_DIRECTORIES(

	 ${DevIL_SOURCE_DIR}
	 ${DevILU_SOURCE_DIR}
	 ${DevILUT_SOURCE_DIR}
)


#
# Copy all needed dlls into the output dir, so stuff just works from vcc
#
IF(WIN32)

	ADD_CUSTOM_COMMAND( TARGET Example_WindowsTest POST_BUILD COMMAND ${CMAKE_COMMAND} ARGS -E copy
		${DevIL_XTRA_SOURCE_DIR}/colorpicker/ColorPicker.dll
		${CMAKE_CFG_INTDIR}
	)

	IF(BUILD_SHARED_LIBS)
		ADD_CUSTOM_COMMAND( TARGET Example_WindowsTest POST_BUILD COMMAND ${CMAKE_COMMAND} ARGS -E copy
			${DEVIL_LIB_DEST_DIR}/*.dll
			${CMAKE_CFG_INTDIR}
		)
	ENDIF(BUILD_SHARED_LIBS)

ENDIF(WIN32)

## devil 1.7.8

=== debian/changelog ===
devil (1.7.8-7ubuntu3) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 16:45:04 +0100

devil (1.7.8-7ubuntu2) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 12 Oct 2013 07:35:55 -0600

devil (1.7.8-7ubuntu1) saucy; urgency=low

  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 13:43:19 -0600

devil (1.7.8-7) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA group.
  * Change dependencies on libtiff4-dev to libtiff-dev. Closes: #682176
  * Change dependencies on libpng12-dev to libpng-dev. Closes: #662298
  * New patch png_set_expand_gray_1_2_4_to_8. Closes: #649554
    Based on a patch by Nobuhiro Iwamatsu.
  * debian/ cleanup:
    + use dh
    + bump debhelper compat to 9
      - this automatically enables hardening flags. Closes: #653535
    + use source format 3.0 (quilt)
    + remove obsolete VCS links

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 21 May 2013 00:00:34 +0200

devil (1.7.8-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field. 
    Closes: #633168.
  * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev.
    Closes: #633691.  

 -- Muammar El Khatib <muammar@debian.org>  Sun, 31 Jul 2011 23:15:16 +0200

devil (1.7.8-6) unstable; urgency=high

  * Fix CVE-2009-3994. Closes: #560080.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 08 Dec 2009 20:09:02 +0000

devil (1.7.8-5) unstable; urgency=low

  * Fix FTBFS. Closes: #545959.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 10 Sep 2009 19:38:13 +0100

devil (1.7.8-4) unstable; urgency=low

  * Add missing depends to libdevil-dev. Closes: #531888.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 13:47:46 +0100

devil (1.7.8-3) unstable; urgency=low

  * Fix kfreebsd FTBFS. Patch thanks to Cyril Brulebois <kibi@debian.org>
    Closes: #541889.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 17 Aug 2009 19:48:31 +0100

devil (1.7.8-2) unstable; urgency=low

  * Add missing libraries in linking of ILUT. Closes: #525363.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 26 Apr 2009 14:41:45 +0100

devil (1.7.8-1) unstable; urgency=low

  * New upstream release.
  * Add liballegro4.2-dev to Build-Depends.
  * Update Standards-Version to 3.8.1. (No changes).

 -- Bradley Smith <bradsmith@debian.org>  Tue, 24 Mar 2009 18:28:21 +0000

devil (1.7.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    - 00_endian_and_ILvoid_fixes - Remove (Gone upstream).
    - 02_add_missing_files - Remove (Gone upstream).
    - 03_CVE-2008-5262 - Remove (Gone upstream).
  * Install pkgconfig files.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 15 Feb 2009 21:41:36 +0000

devil (1.7.5-4) unstable; urgency=low

  * Actually fix CVE-2008-5262. Closes: #512122.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 17 Jan 2009 15:01:18 +0000

devil (1.7.5-3) unstable; urgency=low

  * 03_CVE-2008-5262.diff - Backport fix for CVE-2008-5262.
    Closes: #511844.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 15 Jan 2009 18:50:11 +0000

devil (1.7.5-2) unstable; urgency=low

  * add_missing_files.diff - Add files missed from tarball. Closes: #511297

 -- Bradley Smith <bradsmith@debian.org>  Sat, 10 Jan 2009 20:47:32 +0000

devil (1.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 31 Dec 2008 12:38:16 +0000

devil (1.7.4-1) experimental; urgency=low

  * New upstream release.
  * Update maintainer email.
  * 00_endian_and_ILvoid_fixes.diff - Refresh.
  * 01_fix_as-needed.diff - Refresh.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 30 Dec 2008 21:16:58 +0000

devil (1.7.2-1) experimental; urgency=low

  * New upstream release. Closes: #499626
  * Refresh 00_misc_fixes.diff and rename to 00_endian_and_ILvoid_fixes.diff
  * Refresh 01_fix_as-needed.diff
  * Re-add debian/watch file.
  * Add Homepage field.
  * Add Vcs-* fields.
  * Adjust descriptions to make the -dev package match the non-dev package.
  * Convert copyright to machine readable format.
  * Update compat version to 7 and upgrade debhelper build-depend to (>= 7).
  * Remove unneeded docs from installation.
  * Add descriptions to lintian override and patches.

 -- Bradley Smith <brad@brad-smith.co.uk>  Fri, 26 Sep 2008 15:25:45 +0100

devil (1.6.8-rc2-3) unstable; urgency=low

  * Fix typo in 00_misc_fixes.diff.
  * Remove broken watch file. Not adding a new one since upstreams
    repository is full of broken versioning.

 -- Bradley Smith <brad@brad-smith.co.uk>  Wed, 23 Jul 2008 21:45:53 +0100

devil (1.6.8-rc2-2) unstable; urgency=low

  * Build with -DGLX_GLXEXT_LEGACY to avoid implicit pointer conversion.
    Closes: #490975
  * Fix il_endian.h patch to fix FTBFS's on big endian machines.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 20 Jul 2008 14:21:18 +0100

devil (1.6.8-rc2-1) unstable; urgency=low

  * New Upstream Release.
  * New Maintainer. Closes: #471982.
  * Overhaul Packaging.
   - Update Standards-Version to 3.8.0.
    + Support parallel=N in DEB_BUILD_OPTIONS.
   - Correct section for libdevil-dev.
   - Remove autotools dependency, not longer needed.
   - Add quilt patch system.
    + 00_misc_fixes.diff - Move changes to top srcdir to patch.
    + 01_fix_as-needed.diff - Fix --as-needed flag in libtool.
   - Correct debian/copyright
   - Add watch file.
   - Replace obsolete dependency (libglut3-dev). Closes: #394488.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 06 Jul 2008 19:27:50 +0100

devil (1.6.7-5.2) unstable; urgency=low

  * NMU.
  * debian/control: Build-Depend on automake1.9 instead of automake1.8, to
    stop blocking the removal of automake1.8. (Closes: #472594)



=== debian/control ===
Source: devil
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libpng-dev, zlib1g-dev, libjpeg-dev, libtiff-dev, libmng-dev, liblcms1-dev, freeglut3-dev, libgl1-mesa-dev | libgl-dev, libsdl1.2-dev, liballegro4-dev, autotools-dev
Standards-Version: 3.8.3
Homepage: http://openil.sourceforge.net/

Package: libdevil1c2
Section: libs
Architecture: any
Replaces: libdevil1
Conflicts: libdevil1
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform image loading and manipulation toolkit
 Developer's Image Library (DevIL) is a programmer's toolkit which can load,
 save and convert a wide variety of image formats. It also offers basic
 manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use. Ultimate control of the images is
 left to the developer.

Package: libdevil-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libdevil1c2 (= ${binary:Version}), libtiff-dev, liblcms1-dev, ${misc:Depends}
Description: Cross-platform image loading and manipulation toolkit
 Developer's Image Library (DevIL) is a programmer's toolkit which can
 load, save and convert a wide variety of image formats.  It also offers
 basic manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use.  Ultimate control of the images is
 left to the developer.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CFLAGS_MAINT_APPEND = -DGLX_GLXEXT_LEGACY
DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -lm -lXpm -lXcursor -lpthread -ldl -lXxf86vm

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG_FLAGS = --disable-release
endif

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-static=yes --enable-shared=yes \
		$(DEBUG_FLAGS) \
		--enable-IL=yes --enable-ILU=yes --enable-ILUT=yes

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/share/info/DevIL_manual.info
	rm -f debian/tmp/usr/share/info/dir
	
	for file in debian/tmp/usr/lib/*/*.la; do \
	sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

## devil 1.8.0.40.g6f3d5e9b%2Bdfsg

=== DevIL/test/Benchmark/CMakeLists.txt ===
add_executable(benchmark EXCLUDE_FROM_ALL benchmark.c)
target_link_libraries(benchmark IL ILU)
target_include_directories(benchmark PRIVATE ${DevIL_SOURCE_DIR}/../include)

=== debian/changelog ===
devil (1.8.0.40.g6f3d5e9b+dfsg-3) unstable; urgency=medium

  * upload to unstable

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 18:10:00 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-3~exp2) experimental; urgency=medium

  * d/control: Build-Depends add dh-sequence-pkgkde-symbolshelper
  * d/libdevil1c2.symbols: update use pkgkde-symbolshelper batchpatch

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 16:10:00 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-3~exp1) experimental; urgency=medium

  * add d/p/fix-typo-ilu_err-french.h.patch
  * d/p/update-soname-verison.patch: update to "VERSION 1.1.1 SOVERSION 1"
  * add d/libdevil1c2.symbols
  * add d/NEWS for soname version update
  * Revert "update d/libdevil1c2.lintian-overrides"

 -- xiao sheng wen <atzlinux@debian.org>  Mon, 18 Aug 2025 11:22:20 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-2) experimental; urgency=medium

  * d/control: Build-Depends add cmake

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Apr 2025 18:10:06 +0800

devil (1.8.0.40.g6f3d5e9b+dfsg-1) experimental; urgency=medium

  * New maintainer, Closes: #674868
  * New upstream version 1.8.0.40.g6f3d5e9b+dfsg
  * add d/u/metadata
  * add d/libdevil-dev.examples
  * d/control:
      - Bump Standards-Version: 4.7.2
      - add Rules-Requires-Root: no
      - update libdevil-dev package Description
      - use https for Homepage
      - Build-Depends remove obsolete package libgl1-mesa-dev
  * delete all old patches, useless for new upstream version
  * add d/p/update-soname-verison.patch
  * d/rules:
      - simplify, buildsystem use cmake
      - add execute_after_dh_installdocs target
  * add d/clean
  * d/watch: update to version 4, use github HEAD, add dfsg suffix opts
  * update d/libdevil-dev.docs
  * update *.install, use ${DEB_HOST_MULTIARCH} path
  * d/copyright:
      - update year info, fix old-fsf-address
      - fix no-dep5-copyright
      - add Files-Excluded field
  * update d/libdevil1c2.lintian-overrides

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 30 Apr 2025 17:10:12 +0800

devil (1.7.8-12) unstable; urgency=medium

  * QA Upload

  * Disable support for obsolete Allegro4 backend:
    not a single reverse-dependency in Debian use it.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 16:01:45 +0200

devil (1.7.8-11) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Moved to debhelper compat level 13.
  * Swapped alternative build dependencies libgl-dev and libgl1-mesa-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Apr 2024 01:30:49 +0200

devil (1.7.8-10) unstable; urgency=medium

  * QA upload.
  * Add GCC-5-FTBFS-il.h.patch and fix build error with GCC-5.
    (Closes: #777832)
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Tue, 07 Jul 2015 19:48:41 +0200

devil (1.7.8-9) unstable; urgency=medium

  * QA upload.
  * Add lcms2.patch.
    - Ensure that the build system detects, uses and links against lcms2.
      (Closes: #745518)

 -- Markus Koschany <apo@gambaru.de>  Mon, 18 Aug 2014 17:47:25 +0200

devil (1.7.8-8) unstable; urgency=medium

  * QA upload.
  * debian/control: Switch to liblcms2-dev. (Closes: #745518)
  * wrap-and-sort -sa.
  * Declare compliance with Debian policy 3.9.5.
  * debian/rules: Build with autotools_dev. (Closes: #744564)
  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Markus Koschany <apo@gambaru.de>  Mon, 02 Jun 2014 15:14:27 +0200

## devil 1.8.0.40.g6f3d5e9b%2bdfsg

=== debian/control ===
Source: devil
Section: devel
Priority: optional
Maintainer: xiao sheng wen <atzlinux@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 freeglut3-dev,
 libgl-dev,
 libjpeg-dev,
 liblcms2-dev,
 libmng-dev,
 libpng-dev,
 libsdl1.2-dev,
 libsquish-dev,
 libtiff-dev,
 texinfo,
 zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://openil.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/devil
Vcs-Git: https://salsa.debian.org/debian/devil.git

Package: libdevil1c2
Section: libs
Architecture: any
Replaces:
 libdevil1
Conflicts:
 libdevil1
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Cross-platform image loading and manipulation toolkit
 Developer's Image Library (DevIL) is a programmer's toolkit which can load,
 save and convert a wide variety of image formats. It also offers basic
 manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use. Ultimate control of the images is
 left to the developer.

Package: libdevil-dev
Section: libdevel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libdevil1c2 (= ${binary:Version}),
 liblcms2-dev,
 libtiff-dev,
 ${misc:Depends}
Description: Cross-platform image loading and manipulation toolkit(development)
 Developer's Image Library (DevIL) is a programmer's toolkit which can
 load, save and convert a wide variety of image formats.  It also offers
 basic manipulation and filtering capabilities.
 .
 DevIL presents a simple programming interface similar to OpenGL's, which is
 easy for a developer to learn and use.  Ultimate control of the images is
 left to the developer.
 .
 This package contains the development files.

## devil 1.8.0.40.g6f3d5e9b+dfsg

=== DevIL-docs/Makefile ===
run: DocBuilder.class
	java DocBuilder DevilDoc.xml

java: DocBuilder.java
	javac DocBuilder.java

DocBuilder.class: DocBuilder.java
	javac DocBuilder.java

dist:
	mkdir Docs
	mv index.html Constants IL ILU ILUT images Docs
	tar jcf Docs.tar.bz2 Docs
	rm -r Docs

clean:
	rm *.class

=== DevIL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(ImageLib)
# include our custom modules
set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

add_subdirectory(src-IL)
add_subdirectory(src-ILU)
add_subdirectory(src-ILUT)
option(IL_TESTS "build DevIL tests" ON)
if (IL_TESTS)
    ENABLE_TESTING()
    Add_Subdirectory(test)
endif()

=== DevIL/examples/CMakeLists.txt ===
PROJECT(DevIL_Examples)



SUBDIRS( "GL Example" WindowsTest )

=== DevIL/src-IL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(DevIL)

include (TestBigEndian)

option(BUILD_SHARED_LIBS "Build with shared (.DLL .SO) libraries." ON)

# libSquish not currently supported by CMake
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${DevIL_SOURCE_DIR}/cmake/Modules")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

file(GLOB DevIL_SRCS src/*.cpp)
file(GLOB DevIL_INC include/*.h ../include/config.h ../include/IL/devil_internal_exports.h ../include/IL/il.h)
file(GLOB DevIL_RSRC)
file(GLOB DevIL_TXT)

# From http://stackoverflow.com/questions/17317350/compiling-32-and-64-bit
if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    MESSAGE( "DevIL, 64 bit compiler detected" )
    SET( EX_PLATFORM 64 )
    SET( EX_PLATFORM_NAME "x64" )
else( CMAKE_SIZEOF_VOID_P EQUAL 8 ) 
    MESSAGE( "DevIL, 32 bit compiler detected" )
    SET( EX_PLATFORM 32 )
    SET( EX_PLATFORM_NAME "x86" )
endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )

include_directories( include ../include )

# for windows add the .def and .rc files to the source list
if(WIN32)
    #add_definitions(-DIL_USE_PRAGMA_LIBS)
	if(BUILD_SHARED_LIBS)
		#ADD_DEFINITIONS(-DIL_DLL -DMNG_DLL -DMNG_USE_DLL -DJPEGDLL)
		add_definitions(-DIL_DLL -DJPEGSTATIC)
        # note: .def not used for now - __declspec() in source handles export.
        set(DevIL_SRCS ${DevIL_SRCS} msvc/il.def)
		if(UNICODE)
			set(DevIL_RSRC ${DevIL_RSRC} "msvc/resources/IL Logo.ico" "msvc/IL Unicode.rc")
		else(UNICODE)
			set(DevIL_RSRC ${DevIL_RSRC} "msvc/resources/IL Logo.ico" "msvc/IL.rc")
		endif(UNICODE)
        set(DevIL_TXT ${DevIL_TXT} ../AUTHORS ../ChangeLog ../CREDITS ../libraries.txt ../README.md ../README.cmake ../TODO)
#		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /NODEFAULTLIB:msvcrt.lib ")
		set(CMAKE_C_FLAGS_RELEASE "/MT /O2")
	else(BUILD_SHARED_LIBS)
		add_definitions(-DIL_STATIC_LIB -DJPEGSTATIC)
	endif(BUILD_SHARED_LIBS)
endif(WIN32)

source_group("Source Files" FILES src/*.cpp)
source_group("Header Files" FILES ${DevIL_INC} )
source_group("Resource Files" FILES ${DevIL_RSRC} )
source_group("Text Files" FILES ${DevIL_TXT} )

if(BUILD_SHARED_LIBS)
    add_library(IL SHARED ${DevIL_SRCS} ${DevIL_INC} ${DevIL_RSRC} ${DevIL_TXT})
    set_target_properties(IL PROPERTIES SOVERSION 1)
else(BUILD_SHARED_LIBS)
    add_library(IL ${DevIL_SRCS} ${DevIL_INC} ${DevIL_RSRC} ${DevIL_TXT})
endif(BUILD_SHARED_LIBS)

# various compiler stuff
test_big_endian(WORDS_BIGENDIAN)


# Check availability of optional external libs, 
# Allow users to specify manual locations in their own cmake file like so:
# SET(IL_JPEG_LIB ON CACHE BOOL "" FORCE) 
# SET(JPEG_INCLUDE_DIRS ...)
# SET(JPEG_LIBRARIES ...)

#LibPng
option(IL_PNG_LIB "Custom location for LibPng" OFF)
if(NOT IL_PNG_LIB)
  find_package(PNG)
endif(NOT IL_PNG_LIB)

#LibJpeg
option(IL_JPEG_LIB "Custom location for LibJPEG" OFF)
if(NOT IL_JPEG_LIB)
  find_package(JPEG)
endif(NOT IL_JPEG_LIB)

#TIFF
option(IL_TIFF_LIB "Custom location for TIFF lib" OFF)
if(NOT IL_TIFF_LIB)
  find_package(TIFF)
endif(NOT IL_TIFF_LIB)

#Jasper
option(IL_JASPER_LIB "Custom location for Jasper" OFF)
if(NOT IL_JASPER_LIB)
  find_package(Jasper)
endif(NOT IL_JASPER_LIB)

#Squish
option(IL_SQUISH_LIB "Custom location for libSquish" OFF)
if(NOT IL_SQUISH_LIB)
#find_package(Squish)
  find_package(libSquish)
endif(NOT IL_SQUISH_LIB)

# NVidia texture tools
option(IL_NVTT_LIB "Custom location for NVTT" OFF)
if(NOT IL_NVTT_LIB)
  find_package(NVTT)
endif(NOT IL_NVTT_LIB)

#OpenEXR
option(IL_OPENEXR_LIB "Custom location for OpenEXR" OFF)
if(NOT IL_OPENEXR_LIB)
  find_package(OpenEXR)
endif(NOT IL_OPENEXR_LIB)

#LCMS2
option(IL_LCMS2_LIB "Custom location for LCMS2" OFF)
if(NOT IL_LCMS2_LIB)
  #find_package(LCMS)
  find_package(LCMS2)
endif(NOT IL_LCMS2_LIB)

#MNG
option(IL_MNG_LIB "Custom location for MNG" OFF)
if(NOT IL_MNG_LIB)
  find_package(MNG)
endif(NOT IL_MNG_LIB)

# TODO: check for libmng, others?

# TODO: WDP requires Microsoft HD Photo Device Porting Kit 1.0
set(IL_NO_WDP 1)

# TODO: add options for manually configuring formats (eg IL_NO_GAMES)

# present options for the libraries which are available
if(NOT ${IL_PNG_LIB})
  if(${PNG_FOUND})
      option(IL_NO_PNG "Disable PNG support (libpng)" 0)
  else(${PNG_FOUND})
      set(IL_NO_PNG 1)
  endif(${PNG_FOUND})
endif(NOT ${IL_PNG_LIB})

if(NOT ${IL_TIFF_LIB})
  if(TIFF_FOUND)
      option(IL_NO_TIF "Disable TIFF support (libtiff)" 0)
  else(TIFF_FOUND)
      set(IL_NO_TIF 1)
  endif(TIFF_FOUND)
endif(NOT ${IL_TIFF_LIB})

if(NOT ${IL_JPEG_LIB})
  if(${JPEG_FOUND})
      option(IL_NO_JPG "Disable JPEG support (libjpeg)" 0)
  else(${JPEG_FOUND})
      set(IL_NO_JPG 1)
  endif(${JPEG_FOUND})
endif(NOT ${IL_JPEG_LIB})

if(NOT ${IL_OPENEXR_LIB})
  if(OPENEXR_FOUND)
      option(IL_NO_EXR "Disable EXR support (openEXR)" 0)
  else(OPENEXR_FOUND)
      set(IL_NO_EXR 1)
  endif(OPENEXR_FOUND)
endif(NOT ${IL_OPENEXR_LIB})

if(NOT ${IL_JASPER_LIB})
  if(JASPER_FOUND)
      option(IL_NO_JP2 "Disable JP2 support (libjasper)" 0)
  else(JASPER_FOUND)
      set(IL_NO_JP2 1)
  endif(JASPER_FOUND)
endif(NOT ${IL_JASPER_LIB})

if(NOT ${IL_MNG_LIB})
  if(MNG_FOUND)
      option(IL_NO_MNG "Disable MNG support (libmng)" 0)
  else(MNG_FOUND)
      set(IL_NO_MNG 1)
  endif(MNG_FOUND)
endif(NOT ${IL_MNG_LIB})

if(NOT ${IL_LCMS2_LIB})
  if(LCMS2_FOUND)
      option(IL_NO_LCMS "Disable LCMS support (Little CMS)" 0)
      #TODO: be more clever about lcms include... it smells wrong.
      option(LCMS_NODIRINCLUDE "Include lcms.h instead of lcms/lcms.h" 1)
  else(LCMS2_FOUND)
      set(IL_NO_LCMS 1)
  endif(LCMS2_FOUND)
endif(NOT ${IL_LCMS2_LIB})

if(NOT ${IL_NVTT_LIB})
  if(NVTT_FOUND)
      option(IL_USE_DXTC_NVIDIA "Use Nvidia Texture Tools (NVTT) for DXTC support" 1)
  else(NVTT_FOUND)
      set(IL_USE_DXTC_NVIDIA 0)
  endif(NVTT_FOUND)
endif(NOT ${IL_NVTT_LIB})

if(NOT ${IL_SQUISH_LIB})
  if(LIBSQUISH_FOUND)
      option(IL_USE_DXTC_SQUISH "Use libsquish for DXTC support" 1)
  else(LIBSQUISH_FOUND)
      set(IL_USE_DXTC_SQUISH 0)
  endif(LIBSQUISH_FOUND)
endif(NOT ${IL_SQUISH_LIB})

# Sets the output folders
set(LIBDIR "../lib/")
set(LIBDIR "${LIBDIR}${EX_PLATFORM_NAME}")
if(UNICODE)
	set(LIBDIR "${LIBDIR}/unicode")
endif(UNICODE)
set_target_properties(IL PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${LIBDIR})
set_target_properties(IL PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${LIBDIR})
set_target_properties(IL PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${LIBDIR})

if(MSVC)
	# Linux uses libIL.so, libILU.so, and libILUT.so, but Windows uses
	#  DevIL.dll, ILU.dll, and ILUT.dll.
	set_target_properties(IL PROPERTIES OUTPUT_NAME "DevIL")
endif(MSVC)

if(UNICODE)
	MESSAGE("DevIL, Compiling IL Unicode")
	add_definitions(-DUNICODE -D_UNICODE)
endif(UNICODE)
#if(COMPILER_MSVC)

# configure include dirs and linkage for the optional external libs
set(libs "")
set(incs "")

if(NOT IL_NO_PNG)
  list(APPEND incs ${PNG_INCLUDE_DIRS} )
  list(APPEND libs ${PNG_LIBRARIES} )
endif(NOT IL_NO_PNG)

if(NOT IL_NO_JPG)
  list(APPEND incs ${JPEG_INCLUDE_DIRS} )
  list(APPEND libs ${JPEG_LIBRARIES} )
endif(NOT IL_NO_JPG)

if(NOT IL_NO_TIF)
  list(APPEND incs ${TIFF_INCLUDE_DIRS} )
  list(APPEND libs ${TIFF_LIBRARIES} )
endif(NOT IL_NO_TIF)

if(NOT IL_NO_JP2)
  list(APPEND incs ${JASPER_INCLUDE_DIR} )
  list(APPEND libs ${JASPER_LIBRARIES} )
endif(NOT IL_NO_JP2)

if(NOT IL_NO_MNG)
  list(APPEND incs ${MNG_INCLUDE_DIR} )
  list(APPEND libs ${MNG_LIBRARIES} )
endif(NOT IL_NO_MNG)

if(NOT IL_NO_LCMS)
  list(APPEND incs ${LCMS2_INCLUDE_DIRS} )
  list(APPEND libs ${LCMS2_LIBRARIES} )
endif(NOT IL_NO_LCMS)

if(NOT IL_NO_EXR)
  list(APPEND incs ${OPENEXR_INCLUDE_DIR} )
  list(APPEND libs ${OPENEXR_LIBRARIES} )
endif(NOT IL_NO_EXR)

if(IL_USE_DXTC_NVIDIA)
  list(APPEND incs ${NVTT_INCLUDE_DIR} )
  list(APPEND libs ${NVTT_LIBRARY} )
endif(IL_USE_DXTC_NVIDIA)

if(IL_USE_DXTC_NVIDIA)
  list(APPEND incs ${NVTT_INCLUDE_DIR} )
  list(APPEND libs ${NVTT_LIBRARY} )
endif(IL_USE_DXTC_NVIDIA)

if(IL_USE_DXTC_SQUISH)
    list(APPEND incs ${LIBSQUISH_INCLUDE_DIR} )
    #list(APPEND libs ${LIBSQUISH_LIBRARY} )
	# Deals with strangeness in Visual Studio linking DevIL debug to libsquish release
	if(LIBSQUISH_LIBRARY_DEBUG)
		set(SQUISH_LINK_LIBRARY optimized ${LIBSQUISH_LIBRARY} debug ${LIBSQUISH_LIBRARY_DEBUG})
	else(LIBSQUISH_LIBRARY_DEBUG)
		set(SQUISH_LINK_LIBRARY ${LIBSQUISH_LIBRARY})
	endif(LIBSQUISH_LIBRARY_DEBUG)
	list(APPEND libs ${SQUISH_LINK_LIBRARY} )
endif(IL_USE_DXTC_SQUISH)


include_directories(${incs})
target_link_libraries(IL ${libs})

# generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/include/config.h)



# generate pkg-config file
# TODO: add Requires.private or Libs.private
# (needed to support static linking?)
# TODO: sort out version number
configure_file( pkgconfig/IL.pc.cmake.in
		${CMAKE_CURRENT_BINARY_DIR}/IL.pc @ONLY)


# Installation
install (TARGETS IL
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)
install (FILES ../include/IL/il.h DESTINATION include/IL)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/IL.pc
	DESTINATION lib/pkgconfig
)

=== DevIL/src-ILU/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(ILU)

file(GLOB ILU_SRCS src/*.cpp)
file(GLOB ILU_INC include/*.h ../include/IL/devil_internal_exports.h ../include/IL/ilu.h)
file(GLOB ILU_RSRC)

# From http://stackoverflow.com/questions/17317350/compiling-32-and-64-bit
MESSAGE(" ")
if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    MESSAGE( "64 bit compiler detected" )
    SET( EX_PLATFORM 64 )
    SET( EX_PLATFORM_NAME "x64" )
else( CMAKE_SIZEOF_VOID_P EQUAL 8 ) 
    MESSAGE( "32 bit compiler detected" )
    SET( EX_PLATFORM 32 )
    SET( EX_PLATFORM_NAME "x86" )
endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )

include_directories( include ../include )

# for windows add the .def and .rc files to the source list
if(WIN32)
    #add_definitions(-DIL_USE_PRAGMA_LIBS)
	if(BUILD_SHARED_LIBS)
		add_definitions(-DILU_DLL)
        set(ILU_SRCS ${ILU_SRCS} msvc/ilu.def)
		if(UNICODE)
			set(ILU_RSRC ${ILU_RSRC} "msvc/resources/IL Logo.ico" "msvc/ILU Unicode.rc")
		else(UNICODE)
			set(ILU_RSRC ${ILU_RSRC} "msvc/resources/IL Logo.ico" "msvc/ILU.rc")
		endif(UNICODE)
		set(CMAKE_C_FLAGS_RELEASE "/MT /O2")
	else(BUILD_SHARED_LIBS)
		add_definitions(-DIL_STATIC_LIB)
	endif(BUILD_SHARED_LIBS)
endif(WIN32)


source_group("Source Files" FILES src/*.cpp)
source_group("Header Files" FILES ${ILU_INC} )
source_group("Resource Files" FILES ${ILU_RSRC} )

# Remove SHARED to create a static library
add_library(ILU SHARED ${ILU_SRCS} ${ILU_INC} ${ILU_RSRC})
set_target_properties(ILU PROPERTIES SOVERSION 1)


## ILU requires IL
target_link_libraries(ILU
	IL
)

# generate pkg-config file
# TODO: add Requires.private or Libs.private
# (needed to support static linking?)
configure_file( pkgconfig/ILU.pc.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ILU.pc @ONLY)

# Sets the output folders
set(LIBDIR "../lib/")
set(LIBDIR "${LIBDIR}${EX_PLATFORM_NAME}")
if(UNICODE)
	set(LIBDIR "${LIBDIR}/unicode")
endif(UNICODE)
set_target_properties(ILU PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${LIBDIR})
set_target_properties(ILU PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${LIBDIR})
set_target_properties(ILU PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${LIBDIR})

if(UNICODE)
	MESSAGE("Compiling ILU Unicode")
	add_definitions(-DUNICODE -D_UNICODE)
endif(UNICODE)

# Installation
install (TARGETS ILU
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)
install (FILES ../include/IL/ilu.h DESTINATION include/IL)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ILU.pc
	DESTINATION lib/pkgconfig
)

=== DevIL/src-ILUT/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(ILUT)

file(GLOB ILUT_SRCS src/*.cpp)
file(GLOB ILUT_INC include/*.h ../include/IL/devil_internal_exports.h ../include/IL/ilut.h)
file(GLOB ILUT_RSRC)

# From http://stackoverflow.com/questions/17317350/compiling-32-and-64-bit
MESSAGE(" ")
if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    MESSAGE( "64 bit compiler detected" )
    SET( EX_PLATFORM 64 )
    SET( EX_PLATFORM_NAME "x64" )
else( CMAKE_SIZEOF_VOID_P EQUAL 8 ) 
    MESSAGE( "32 bit compiler detected" )
    SET( EX_PLATFORM 32 )
    SET( EX_PLATFORM_NAME "x86" )
endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )

include_directories( include ../include )

# Find glut
find_package(GLUT REQUIRED)
include_directories(${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})
add_definitions(${GLUT_DEFINITIONS})
if(NOT GLUT_FOUND)
    message(ERROR " GLUT not found!")
endif(NOT GLUT_FOUND)

# Find opengl
find_package(OpenGL REQUIRED)
include_directories(${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})
add_definitions(${OpenGL_DEFINITIONS})
if(NOT OPENGL_FOUND)
    message(ERROR " OPENGL not found!")
endif(NOT OPENGL_FOUND)

# for windows add the .def and .rc files to the source list
if(WIN32)
	add_definitions(-DALLEGRO_MSVC)
	add_definitions(-DIL_USE_PRAGMA_LIBS)
	if(BUILD_SHARED_LIBS)
		add_definitions(-DILUT_DLL)
        set(ILUT_SRCS ${ILUT_SRCS} msvc/ilut.def)
		if(UNICODE)
			set(ILUT_RSRC ${ILUT_RSRC} "msvc/resources/IL Logo.ico" "msvc/ILUT Unicode.rc")
		else(UNICODE)
			set(ILUT_RSRC ${ILUT_RSRC} "msvc/resources/IL Logo.ico" "msvc/ILUT.rc")
		endif(UNICODE)
		if(MSVC)
			set(CMAKE_C_FLAGS_RELEASE "/MT /O2")
		endif(MSVC)
	else(BUILD_SHARED_LIBS)
		add_definitions(-DIL_STATIC_LIB)
	endif(BUILD_SHARED_LIBS)
endif(WIN32)

source_group("Source Files" FILES src/*.cpp)
source_group("Header Files" FILES ${ILUT_INC} )
source_group("Resource Files" FILES ${ILUT_RSRC} )

# Remove SHARED to create a static library
add_library(ILUT SHARED ${ILUT_SRCS} ${ILUT_INC} ${ILUT_RSRC})
set_target_properties(ILUT PROPERTIES SOVERSION 1)

## add link sub library info
target_link_libraries(ILUT
	IL
	ILU
	${OPENGL_LIBRARIES}
	${GLUT_LIBRARY}
)

# generate pkg-config file
configure_file( pkgconfig/ILUT.pc.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ILUT.pc @ONLY)

# Sets the output folders
set(LIBDIR "../lib/")
set(LIBDIR "${LIBDIR}${EX_PLATFORM_NAME}")
if(UNICODE)
	set(LIBDIR "${LIBDIR}/unicode")
endif(UNICODE)
set_target_properties(ILUT PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${LIBDIR})
set_target_properties(ILUT PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${LIBDIR})
set_target_properties(ILUT PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${LIBDIR})

if(UNICODE)
	MESSAGE("Compiling ILUT Unicode")
	add_definitions(-DUNICODE -D_UNICODE)
endif(UNICODE)

# Installation
install (TARGETS ILUT
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)
install (FILES ../include/IL/ilut.h DESTINATION include/IL)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ILUT.pc
	DESTINATION lib/pkgconfig
)

=== DevIL/test/CMakeLists.txt ===
add_subdirectory(Benchmark)
add_subdirectory(UnitTest)
# TODO
#add_subdirectory(DDrawTest)
#add_subdirectory(Fltk)
#add_subdirectory(format_test)
#add_subdirectory(MdiTest)
#add_subdirectory(old)
#add_subdirectory(Stress)
#add_subdirectory(Unzip)
#add_subdirectory(URar)
#add_subdirectory(VolTex)

=== DevIL/examples/direct3d_example/CMakeLists.txt ===
PROJECT(Example_D3D)

FILE(GLOB Example_D3D_SRCS *.c *.cpp *.h )

INCLUDE_DIRECTORIES(

	${CMAKE_CURRENT_SOURCE_DIR}
	${DevIL_SOURCE_DIR}/include
	${DevIL_SOURCE_DIR}/../include
)



#
# for windows add the .def and .rc files to the source list
#
IF(WIN32)
	IF(BUILD_SHARED_LIBS)
	ENDIF(BUILD_SHARED_LIBS)
ENDIF(WIN32)

ADD_EXECUTABLE(Example_D3D Example_D3D_SRCS)

## add link sub library info

TARGET_LINK_LIBRARIES(Example_D3D
	
	DevIL
	DevILU
	DevILUT
	lcms
	libjpeg
	libmng
	libpng
	libtiff
	zlib
)

INCLUDE_DIRECTORIES(

	 ${DevIL_SOURCE_DIR}
	 ${DevILU_SOURCE_DIR}
	 ${DevILUT_SOURCE_DIR}
	 ${LCMS_SOURCE_DIR}
	 ${LIBJPEG_SOURCE_DIR}
	 ${LIBMNG_SOURCE_DIR}
	 ${LIBPNG_SOURCE_DIR}
	 ${LIBTIFF_SOURCE_DIR}
	 ${ZLIB_SOURCE_DIR}
)

=== DevIL/examples/opengl_example/CMakeLists.txt ===
PROJECT(Example_GL)

FILE(GLOB Example_GL_SRCS *.c *.cpp *.h )

INCLUDE_DIRECTORIES(

	${CMAKE_CURRENT_SOURCE_DIR}
	${DevIL_SOURCE_DIR}/include
	${DevIL_SOURCE_DIR}/../include
	${DevIL_XTRA_SOURCE_DIR}/freeglut
)

LINK_DIRECTORIES(

	${DEVIL_LIB_DEST_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${DevIL_XTRA_SOURCE_DIR}/freeglut
)

#
# for windows add the .def and .rc files to the source list
#
IF(WIN32)
	ADD_DEFINITIONS(-DIL_USE_PRAGMA_LIBS)

	IF(BUILD_SHARED_LIBS)
	ELSE(BUILD_SHARED_LIBS)
		ADD_DEFINITIONS(-DIL_STATIC_LIB)
	ENDIF(BUILD_SHARED_LIBS)
ENDIF(WIN32)

SOURCE_GROUP(code FILES ${Example_GL_SRCS} )

ADD_EXECUTABLE(Example_GL Example_GL_SRCS)

## add link sub library info

TARGET_LINK_LIBRARIES(Example_GL
	
	DevIL
	DevILU
	DevILUT
)

INCLUDE_DIRECTORIES(

	 ${DevIL_SOURCE_DIR}
	 ${DevILU_SOURCE_DIR}
	 ${DevILUT_SOURCE_DIR}
)

#
# Copy dlls into the output dir, so stuff just works from vcc
#
IF(WIN32)

	ADD_CUSTOM_COMMAND( TARGET Example_GL POST_BUILD COMMAND ${CMAKE_COMMAND} ARGS -E copy
		${DevIL_XTRA_SOURCE_DIR}/freeglut/freeglut.dll
		${CMAKE_CFG_INTDIR}
	)

	IF(BUILD_SHARED_LIBS)
		ADD_CUSTOM_COMMAND( TARGET Example_GL POST_BUILD COMMAND ${CMAKE_COMMAND} ARGS -E copy
			${DEVIL_LIB_DEST_DIR}/*.dll
			${CMAKE_CFG_INTDIR}
		)
	ENDIF(BUILD_SHARED_LIBS)

ENDIF(WIN32)

=== DevIL/test/Benchmark/Makefile ===
# Unix Makefile

CC       = gcc
CFLAGS   = -Wall
LIBS     = -lIL -lILU

SRC     = benchmark.c
OBJECTS = $(SRC:%.c=.objects/%.o)
DEPENDS = $(SRC:%.c=.depends/%.d)
TARGET  = benchmark

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(CFLAGS) $(INCLUDES) $(LIBS) -o $@ $^

.objects/%.o: %.c
	@@if [ ! -d $(@D) ]; then mkdir -p $(@D); fi
	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<

.depends/%.d: %.c
	@@if [ ! -d $(@D) ]; then mkdir -p $(@D); fi
	$(CC) $(INCLUDES) -MM -MG $< -MT '.objects/$(@F:%.d=%.o)' > $@

clean:
	rm -rf $(DEPENDS) $(OBJECTS) $(TARGET)

-include $(DEPENDS)

=== DevIL/test/UnitTest/CMakeLists.txt ===

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(cppunit)

if(CPPUNIT_FOUND)
    add_executable(UnitTest EXCLUDE_FROM_ALL ILTest.cpp ILUTest.cpp UnitTest.cpp)
    target_include_directories(UnitTest PRIVATE ${cppunit_INCLUDE_DIRECTORIES})
    target_link_libraries(UnitTest IL ILU ${CPPUNIT_LIBRARIES})
    target_include_directories(UnitTest PRIVATE ${DevIL_SOURCE_DIR}/../include)
else()
    Message(STATUS "UnitTest disabled, cppunit wasn't found!")
endif()

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  libmng-dev,
  libpng-dev,
  libsdl1.2-dev,
- libsquish-dev,
  libtiff-dev,
  texinfo,
  zlib1g-dev
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://openil.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/devil
 Vcs-Git: https://salsa.debian.org/debian/devil.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=DevIL --buildsystem=cmake

execute_after_dh_installdocs:
	rm -fv debian/libdevil-dev/usr/share/doc/libdevil-dev/DevIL-docs/.cvsignore

=== debian/watch ===
version=4
opts="pretty=describe, mode=git, pgpmode=none, dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg" \
https://github.com/DentonW/DevIL/ HEAD
